Bug 199836 - problems with group assignments for specific UID/GID requests
problems with group assignments for specific UID/GID requests
Product: Fedora
Classification: Fedora
Component: system-config-users (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
Depends On:
  Show dependency treegraph
Reported: 2006-07-22 23:10 EDT by G.Wolfe Woodbury
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-24 12:18:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description G.Wolfe Woodbury 2006-07-22 23:10:10 EDT
Description of problem:

If I create a new group using a specific ID (e.g. boinc2=601) and then create
a user (e.g. boinc2=601) I get an error message that GID "None" is in use and
the creation will not take place.   This is a regression from previous behaviour
where this sequence would create a "properly" numbered UID/GID setup for a

Version-Release number of selected component (if applicable):

How reproducible:
three days in a row on rawhide

Steps to Reproduce:
1. run system-config-users
2. create a new group with a specific GID
    (e.g. boinc2 = 601)
3. create a new user with a specific UID
    (e.g. boinc2 = 601)
4. observe an error message
Actual results:
error message as described.

Expected results:
a "properly" numbered UID/GID pair for the selected user.

Additional info:

fresh install (except for /home) of rawhide 2006-07-22 on i686 machine.
Comment 1 Nils Philippsen 2006-07-24 12:18:34 EDT
Should be fixed in system-config-users-1.2.46 which should hit the mirrors soon
(it's building right now), it asks the user what to do if a group with the same
gid or name already exists.

Please make a note of the package version you have in future bug reports (the
state of Rawhide isn't preserved, it would be difficult to find that info later).

Note You need to log in before you can comment on or make changes to this bug.